Subject: RE: Problems building DLLs with cygwin
From: [email-masked] (David Essex)

11 Dec 1996 23:14:03 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked] (Unverified)
X-Mailer: Windows Eudora Light Version 1.5.4 (32)
Original-To: gnu-win32 <[email-masked]>
Original-Cc: Colin Peters <[email-masked]>
Original-Sender: [email-masked]

At 02:02 PM 06/12/96 +0900, you wrote:

>That raises another point though. Perhaps some of these problems are worse
under
>Win32 than on win16? The DLLs I wrote and used were win16. 
Win32 and win16 DLLs are different from each other. For one thing win16 uses the
__pascal calling sequence (usually) while win32 uses __stdcall calling sequence.

>On the other hand, anyone who has written programs that use GUI calls 
>(or the Minimalist C run time library calls) knows that it is possible 
>to call MS-ish DLLs from GNU code. This suggests that the reverse should 
>also be possible.
>As for the model/system/defaults that the Minimalist system works on, they are
>the same as anything else produced by GNU-Win32. I didn't do anything to change
>them (as far as DLLs go). Actually, up until now there has been no explicit
>information on building DLLs for mingw32 (beyond what comes from the Cygnus
>docs), however I recently got a package from Gunther which does this, and I'm
>in the process of integrating it. I'll probably wait until b17 comes out before
>making a new release though. Gunther also managed to do some stuff with C++ and
>DLL support, but I still haven't taken a good look at it.
To ensure win32 compatibility, the minimalist gnu-win32 version should maybe
include
a compiler option which would create a DLL which is compatible with MS VC++.
This is the way 
Borland seams to approach this problem. 
 
David

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".